<script>
import { getSystemInfo } from '@/utils/wxTool.js'
import Tip from '@/utils/tip.js'
	export default {
		onLaunch: function() {
			console.log('App Launch')
			const updateManager = wx.getUpdateManager()

			updateManager.onCheckForUpdate(function (res) {
					// 请求完新版本信息的回调
					console.log(res.hasUpdate)
			})

			updateManager.onUpdateReady(function () {
				wx.showModal({
					title: '更新提示',
					content: '新版本已经准备好，是否重启应用？',
					success: function (res) {
						if (res.confirm) {
							// 新的版本已经下载好，调用 applyUpdate 应用新版本并重启
							updateManager.applyUpdate()
						}
					}
				})
			})

			updateManager.onUpdateFailed(function () {

			})
			
		},
		onShow: function() {

		
	
			this.getBoundingInfo()
			this.getSystemInfo()

			// if (!uni.getStorageSync('token')) {
			// 	Tip.loading('加载中')
			// 	setTimeout( () => {
			// 		uni.navigateTo({
			// 			url: '/pages/index/index'
			// 		})
			// 		Tip.loaded()
			// 	}, 1000)
			// }
	
		},
		onHide: function() {
			console.log('App Hide')
		},
		methods: {
			// 获取胶囊信息
			getBoundingInfo () {
				let bounding =	wx.getMenuButtonBoundingClientRect()
		
				this.$store.commit('set_bounding', bounding)
			},
			// 系统信息
			async getSystemInfo () {
				const data = await getSystemInfo()
		
				if (data.errMsg === 'getSystemInfo:ok') {
					this.$store.commit('set_systemInfo', data)
				}
			},
		}
	}
</script>

<style>
	/*每个页面公共css */
	@import '/wxcomponents/common/index.wxss';
</style>
